{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = annulationOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_ANNULATION_SOURCE"; 
            externalType = NUMBER; 
            name = annulationSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CGM_ORDRE"; 
            externalType = NUMBER; 
            name = cgmOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CGM_SOURCE"; 
            externalType = NUMBER; 
            name = cgmSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARR_CGNT_CGM"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_DEB_CGNT_CGM"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CGNT_CGM"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARR_CGNT_CGM"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CGM_OPERATION"; 
            externalType = CHAR; 
            name = operation; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "CGM_STATUT"; 
            externalType = CHAR; 
            name = statut; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = CHAR; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = CHAR; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "CGM_IMPORT"; 
            externalType = CHAR; 
            name = temImport; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cgmOrdre, 
        commentaire, 
        indOrdre, 
        noArrete, 
        operation, 
        statut, 
        temConfirme, 
        temGestEtab, 
        temImport
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCgntCgm"; 
    classProperties = (
        annulationSource, 
        cgmSource, 
        commentaire, 
        congeAnnulation, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        idSource, 
        individu, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        statut, 
        temConfirme, 
        temGestEtab, 
        temImport
    ); 
    externalName = "IMPORT.CGNT_CGM"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            annulationSource, 
            cgmSource, 
            commentaire, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            idSource, 
            individu, 
            noArrete, 
            noArreteAnnulation, 
            operation, 
            statut, 
            temConfirme, 
            temGestEtab, 
            temImport
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCgntCgm"; 
    }; 
    name = CgntCgm; 
    primaryKeyAttributes = (cgmOrdre); 
    relationships = (
        {
            destination = CgntCgm; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cgmOrdre; sourceAttribute = annulationOrdre; }); 
            name = congeAnnulation; 
        }, 
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = CongeAvecArrete; }; }; 
}
